//////////////////////////////////////////////////////////////////////////////
//
// PocketHAL
// Copyright 2004 by Thierry Tremblay
//
//////////////////////////////////////////////////////////////////////////////

#ifndef POCKETHAL_SYMBIAN_H
#define POCKETHAL_SYMBIAN_H

// Symbian serie 60 (or above)
#define PHAL_PLATFORM_SYMBIAN

#if defined(__WINS__)
#define PHAL_EMULATOR
#endif



//////////////////////////////////////////////////////////////////////////////
//
// Symbian doesn't have memcpy() and memset(), define them here
//
//////////////////////////////////////////////////////////////////////////////

#include <e32std.h>



inline void memcpy( void* destination, const void* source, unsigned count )
{
    Mem::Copy( destination, source, count );
}



inline void memset( void* destination, char value, unsigned count )
{
    Mem::Fill( destination, count, value );
}



inline void ZeroMemory( void* destination, unsigned count )
{
    Mem::FillZ( destination, count );
}



#endif
