//////////////////////////////////////////////////////////////////////////////
//
// PocketHAL
// Copyright 2004 by Thierry Tremblay
//
//////////////////////////////////////////////////////////////////////////////

#ifndef POCKETHAL_DEFS_H
#define POCKETHAL_DEFS_H

#include <PocketHAL/config.h>

#if defined(PHAL_PLATFORM_WIN32)
#include <PocketHAL/win32/win32_defs.h>

#elif defined(PHAL_PLATFORM_SYMBIAN)
#include <PocketHAL/symbian/symbian_defs.h>

#endif



//////////////////////////////////////////////////////////////////////////////
//
// Orientations
//
//////////////////////////////////////////////////////////////////////////////

enum Orientation
{
    // Orientations
    ORIENTATION_NORMAL,
    ORIENTATION_ROTATE90CCW,
    ORIENTATION_ROTATE180,
    ORIENTATION_ROTATE90CW,
    ORIENTATION_UNKNOWN
};




#endif
