//////////////////////////////////////////////////////////////////////////////
//
// PocketHAL
// Copyright 2004 by Thierry Tremblay
//
//////////////////////////////////////////////////////////////////////////////

#include "SampleApp.h"
#include "SampleDoc.h"

static const TUid KUidApplication = { 0x0B6BE65F };



//////////////////////////////////////////////////////////////////////////////
//
// SampleApplication
//
//////////////////////////////////////////////////////////////////////////////

TUid SampleApplication::AppDllUid() const
{
    return KUidApplication;
}



CApaDocument* SampleApplication::CreateDocumentL()
{
    return SampleDocument::NewL( *this );
}



//////////////////////////////////////////////////////////////////////////////
//
// Entry point
//
//////////////////////////////////////////////////////////////////////////////

EXPORT_C CApaApplication* NewApplication()
{
    return new SampleApplication;
}



GLDEF_C TInt E32Dll( TDllReason )
{
    return KErrNone;
}
